## com.sun.appserv.util.cache.mbeans
Class JmxMultiLruCache

    java.lang.Object
      com.sun.appserv.util.cache.mbeans.JmxBaseCache
          com.sun.appserv.util.cache.mbeans.JmxMultiLruCache

All Implemented Interfaces:
  JmxBaseCacheMBean, JmxMultiLruCacheMBean

Direct Known Subclasses:
  JmxBoundedMultiLruCache

    public class JmxMultiLruCache

extends JmxBaseCache
implements JmxMultiLruCacheMBean

This class provides implementation for JmxLruCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Constructor Summary
`JmxMultiLruCache(MultiLruCache multiLruCache, String name)`

Method Summary
`Integer[]` `getSegmentListLength()` Returns the legnth of the segment list
`Integer` `getSegmentSize()` Returns the size of each segment
`Integer` `getTrimCount()` Returns the number of entries that have been trimmed

Methods inherited from class com.sun.appserv.util.cache.mbeans.JmxBaseCache
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxBaseCacheMBean
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Constructor Detail

### JmxMultiLruCache

    public JmxMultiLruCache(MultiLruCache multiLruCache,
                            String name)

Method Detail

### getTrimCount

    public Integer getTrimCount()

  Returns the number of entries that have been trimmed

  Specified by:
    `getTrimCount` in interface `JmxMultiLruCacheMBean`

### getSegmentSize

    public Integer getSegmentSize()

  Returns the size of each segment

  Specified by:
    `getSegmentSize` in interface `JmxMultiLruCacheMBean`

### getSegmentListLength

    public Integer[] getSegmentListLength()

  Returns the legnth of the segment list

  Specified by:
    `getSegmentListLength` in interface `JmxMultiLruCacheMBean`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.